MCP
Authorizations
nlx-api-keystringRequired
Path parameters
deploymentKeystringRequired
The unique key identifying the AI app deployment.
channelKeystringRequiredExample:
The unique key identifying the specific channel. Must include the language code suffix (e.g., -en-US, -es-MX).
xxxxxxxx-en-USResponses
200
A list of tools.
application/json
401
Unauthorized - Invalid API Key
get
/c/mcp/{deploymentKey}/{channelKey}/toolsAuthorizations
nlx-api-keystringRequired
Path parameters
deploymentKeystringRequired
The unique key identifying the AI app deployment.
channelKeystringRequiredExample:
The unique key identifying the specific channel. Must include the language code suffix (e.g., -en-US, -es-MX).
xxxxxxxx-en-UStoolNamestringRequired
The name of the tool to execute.
Body
streambooleanOptionalDefault:
Set to true to receive an SSE stream of the tool's output.
falseResponses
200
Tool execution result.
isErrorbooleanOptionalDefault:
Indicates if the tool execution failed.
false400
Bad Request
401
Unauthorized
post
/c/mcp/{deploymentKey}/{channelKey}/tools/{toolName}Last updated

